ATA_SCSI_REMOVE_DEV(9)

NAME
ata_scsi_remove_dev - remove attached SCSI device

SYNOPSIS

void ata_scsi_remove_dev(struct ata_device * dev);

ARGUMENTS

dev
    ATA device to remove attached SCSI device for

DESCRIPTION

This function is called from ata_eh_scsi_hotplug and responsible for removing the SCSI device attached to dev.

LOCKING

Kernel thread context (may sleep).

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT